<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.superdesk.uniorder.dao.mapper.marketing.department.UnifiedAreaCityTargetMapperEx">


	<select id="findAll" resultMap="cn.superdesk.uniorder.dao.mapper.marketing.department.UnifiedAreaCityTargetMapper.BaseResultMap">
		select
		<include refid="cn.superdesk.uniorder.dao.mapper.marketing.department.UnifiedAreaCityTargetMapper.Base_Column_List"/>
		from
			unified_area_city_target
		<where>
		<if test="areaItemId != null and areaItemId != '' ">
			and area_city_id = #{areaItemId,jdbcType=BIGINT}
		</if>
		<if test="yearly != null and yearly != '' ">
			and yearly = #{yearly,jdbcType=INTEGER}
		</if>
		<if test="monthly != null and monthly != '' ">
			and monthly = #{monthly,jdbcType=INTEGER}
		</if>
		</where>
	</select>
	<delete id="deleteByAreaCityId" parameterType="java.lang.Long">
		delete
		from
			unified_area_city_target
		<where>
			and area_city_id = #{areaItemId,jdbcType=BIGINT}
		</where>
	</delete>

</mapper>